//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by Entitas.CodeGeneration.Plugins.ComponentLookupGenerator.
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------
public static class GameComponentsLookup {

    public const int Field = 0;
    public const int Hover = 1;
    public const int HoverListener = 2;
    public const int Id = 3;
    public const int Placed = 4;
    public const int Position = 5;
    public const int PositionListener = 6;
    public const int Selected = 7;
    public const int SelectedListener = 8;
    public const int SuggestedPosition = 9;
    public const int SuggestedPositionListener = 10;

    public const int TotalComponents = 11;

    public static readonly string[] componentNames = {
        "Field",
        "Hover",
        "HoverListener",
        "Id",
        "Placed",
        "Position",
        "PositionListener",
        "Selected",
        "SelectedListener",
        "SuggestedPosition",
        "SuggestedPositionListener"
    };

    public static readonly System.Type[] componentTypes = {
        typeof(FieldComponent),
        typeof(HoverComponent),
        typeof(HoverListenerComponent),
        typeof(IdComponent),
        typeof(PlacedComponent),
        typeof(PositionComponent),
        typeof(PositionListenerComponent),
        typeof(SelectedComponent),
        typeof(SelectedListenerComponent),
        typeof(SuggestedPositionComponent),
        typeof(SuggestedPositionListenerComponent)
    };
}
